org.eclipse.ease.ui.scripts.keywordhandler

## Class ScriptContributionItem

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.ease.ui.scripts.keywordhandler.CommandContributionItem
    - - org.eclipse.ease.ui.scripts.keywordhandler.ScriptContributionItem

All Implemented Interfaces:
  IContributionItem

    public class ScriptContributionItem
    extends CommandContributionItem

### Field Summary

### Fields inherited from class org.eclipse.ease.ui.scripts.keywordhandler.CommandContributionItem

`MODE_FORCE_TEXT, STYLE_CHECK, STYLE_PULLDOWN, STYLE_PUSH, STYLE_RADIO`

### Constructor Summary

Constructors
Constructor and Description
`ScriptContributionItem(IScript script)`
`ScriptContributionItem(IScript script, java.lang.String enablement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDynamic()`
`boolean` `isEnabled()`
`boolean` `isVisible()`
`void` `update()`

### Methods inherited from class org.eclipse.ease.ui.scripts.keywordhandler.CommandContributionItem

`dispose, fill, fill, fill, getCommand, getData, setIcon, setLabel, setParent, update`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, getId, getParent, isDirty, isGroupMarker, isSeparator, saveWidgetState, setId, setVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptContributionItem

    public ScriptContributionItem(IScript script)

#### ScriptContributionItem

    public ScriptContributionItem(IScript script,
                                  java.lang.String enablement)

### Method Detail

#### update

    public void update()

Specified by:
  `update` in interface `IContributionItem`
Overrides:
  `update` in class `CommandContributionItem`

#### isDynamic

    public boolean isDynamic()

Specified by:
  `isDynamic` in interface `IContributionItem`
Overrides:
  `isDynamic` in class `ContributionItem`

#### isEnabled

    public boolean isEnabled()

Specified by:
  `isEnabled` in interface `IContributionItem`
Overrides:
  `isEnabled` in class `CommandContributionItem`

#### isVisible

    public boolean isVisible()

Specified by:
  `isVisible` in interface `IContributionItem`
Overrides:
  `isVisible` in class `CommandContributionItem`